gss detection typo in nfs-common

Bug #364861 reported by kieran
0
Affects Status Importance Assigned to Milestone
nfs-utils (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: nfs-common

--- nfs-common 2008-12-04 22:46:53.749916775 +0000
+++ nfs-common.fix 2009-04-21 22:31:59.296338221 +0100
@@ -50,7 +50,7 @@
         fi
         case "$OPTS" in

- sec=krb5|*,sec=krb5|sec=krb5,*|*,sec=krb5i,*|sec=krb5i|*,sec=krb5i|sec=krb5i,*|*,sec=krb5i,*|sec=krb5p|*,sec=krb5p|sec=krb5p,*|*,sec=krb5p,*)
+ sec=krb5|*,sec=krb5|sec=krb5,*|*,sec=krb5,*|sec=krb5i|*,sec=krb5i|sec=krb5i,*|*,sec=krb5i,*|sec=krb5p|*,sec=krb5p|sec=krb5p,*|*,sec=krb5p,*)
          AUTO_NEED_GSSD=yes
             ;;
         esac

Steve Langasek (vorlon)
Changed in nfs-utils (Ubuntu):
status: New → Triaged
status: Triaged → In Progress
importance: Undecided → Low
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nfs-utils - 1:1.2.0-2ubuntu2

---------------
nfs-utils (1:1.2.0-2ubuntu2) karmic; urgency=low

  * Configure gssd and idmapd upstart jobs to stop on runlevels 0 and 6; this
    is consistent with previous initscript-based behavior, and spares upstart
    trying to restart the jobs repeatedly when sendsigs runs.
  * When autodetecting gssd, handle the case of 'sec=krb5' being embedded in
    the middle of the options list in /etc/fstab. LP: #364861.
  * Fix transition idempotency error when stopping old nfs-common init
    script, in case the postinst fails to finish afterwards (e.g., failure to
    restart the daemons).
  * Fix statd upstart job to properly honor NEED_STATD=no and not get stuck
    respawning indefinitely.
  * Ignore failures to start the daemons on upgrade, since if they aren't
    needed we don't *want* them to start. LP: #441055.
  * Fix up the rpc_pipefs job, the wrong version of the file slipped into
    the previous upload.

 -- Steve Langasek <email address hidden> Sat, 03 Oct 2009 01:52:21 +0000

Changed in nfs-utils (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers